Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Interface LoaderHandler

Deprecated. no replacement

    @Deprecated
    public interface LoaderHandler

`LoaderHandler` is an interface used internally by the RMI runtime in previous implementation versions. It should never be accessed by application code.

Since:
  JDK1.1

Field Summary
`static String` | `packagePrefix` Deprecated. package of system `LoaderHandler` implementation.

Method Summary
`Object` | `getSecurityContext(ClassLoader loader)` Deprecated. no replacement
`Class<?>` | `loadClass(String name)` Deprecated. no replacement
`Class<?>` | `loadClass(URL codebase, String name)` Deprecated. no replacement

Field Detail

### packagePrefix

    static final String packagePrefix

  Deprecated.
  package of system `LoaderHandler` implementation.

  See Also:
    Constant Field Values

Method Detail

### loadClass

    @Deprecated
    Class<?> loadClass(String name)
                       throws MalformedURLException,
                              ClassNotFoundException

  Deprecated. no replacement

  Loads a class from the location specified by the `java.rmi.server.codebase` property.

  Parameters:
    `name` - the name of the class to load
  Returns:
    the `Class` object representing the loaded class
  Throws:
    `MalformedURLException` - if the system property java.rmi.server.codebase contains an invalid URL
    `ClassNotFoundException` - if a definition for the class could not be found at the codebase location.
  Since:
    JDK1.1

### loadClass

    @Deprecated
    Class<?> loadClass(URL codebase,
                                  String name)
                       throws MalformedURLException,
                              ClassNotFoundException

  Deprecated. no replacement

  Loads a class from a URL.

  Parameters:
    `codebase` - the URL from which to load the class
    `name` - the name of the class to load
  Returns:
    the `Class` object representing the loaded class
  Throws:
    `MalformedURLException` - if the `codebase` paramater contains an invalid URL
    `ClassNotFoundException` - if a definition for the class could not be found at the specified URL
  Since:
    JDK1.1

### getSecurityContext

    @Deprecated
    Object getSecurityContext(ClassLoader loader)

  Deprecated. no replacement

  Returns the security context of the given class loader.

  Parameters:
    `loader` - a class loader from which to get the security context
  Returns:
    the security context
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.